Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.elastic_ips.list_elastic_ips(page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.ElasticIps.ListElasticIps(ctx, operations.ListElasticIpsRequest{})
if err != nil {
log.Fatal(err)
}
if res.ElasticIps != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.elasticIps.listElasticIps({});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.latitude.sh/elastic_ips \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/elastic_ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "eip_KeQbB4BoO6x10",
"type": "elastic_ips",
"attributes": {
"address": "177.54.156.7",
"family": "IPv4",
"prefix_length": 32,
"mode": "routed",
"status": "active",
"created_at": "2026-02-24T17:06:28.108Z",
"server": {
"id": "sv_2GmAlJ6BXlK1a",
"hostname": "my-server",
"primary_ipv4": "177.54.157.75"
},
"project": {
"id": "proj_AoW6vRnwkvLn0",
"name": "My Project",
"slug": "my-project"
},
"region": {
"id": "region_sa_sao_paulo",
"name": "São Paulo",
"location": {
"id": "site_sao",
"name": "São Paulo",
"slug": "SAO"
}
}
}
}
],
"meta": {}
}Elastic Ips
List Elastic IPs
List all Elastic IPs for the authenticated team. Elastic IPs are static public IP addresses that can be assigned to servers and moved between servers within the same project.
GET
/
elastic_ips
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.elastic_ips.list_elastic_ips(page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.ElasticIps.ListElasticIps(ctx, operations.ListElasticIpsRequest{})
if err != nil {
log.Fatal(err)
}
if res.ElasticIps != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.elasticIps.listElasticIps({});
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Query Parameters
The project ID or slug to filter by
The server ID to filter by
The status to filter by
Available options:
configuring, active, moving, releasing, error Number of items to return per page
Required range:
x >= 1Page number to return (starts at 1)
Required range:
x >= 1Was this page helpful?
⌘I